package com.chinaitop.depot.intelligent.grainsituation.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TCcdataExample {
    /**
     * t_ccdata
     */
    protected String orderByClause;

    /**
     * t_ccdata
     */
    protected boolean distinct;

    /**
     * t_ccdata
     */
    protected List<Criteria> oredCriteria;

    public TCcdataExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_ccdata 2020-08-20
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVCcCodeIsNull() {
            addCriterion("v_cc_code is null");
            return (Criteria) this;
        }

        public Criteria andVCcCodeIsNotNull() {
            addCriterion("v_cc_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCcCodeEqualTo(String value) {
            addCriterion("v_cc_code =", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeNotEqualTo(String value) {
            addCriterion("v_cc_code <>", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeGreaterThan(String value) {
            addCriterion("v_cc_code >", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cc_code >=", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeLessThan(String value) {
            addCriterion("v_cc_code <", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cc_code <=", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeLike(String value) {
            addCriterion("v_cc_code like", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeNotLike(String value) {
            addCriterion("v_cc_code not like", value, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeIn(List<String> values) {
            addCriterion("v_cc_code in", values, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeNotIn(List<String> values) {
            addCriterion("v_cc_code not in", values, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeBetween(String value1, String value2) {
            addCriterion("v_cc_code between", value1, value2, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVCcCodeNotBetween(String value1, String value2) {
            addCriterion("v_cc_code not between", value1, value2, "vCcCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeIsNull() {
            addCriterion("v_hw_code is null");
            return (Criteria) this;
        }

        public Criteria andVHwCodeIsNotNull() {
            addCriterion("v_hw_code is not null");
            return (Criteria) this;
        }

        public Criteria andVHwCodeEqualTo(String value) {
            addCriterion("v_hw_code =", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeNotEqualTo(String value) {
            addCriterion("v_hw_code <>", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeGreaterThan(String value) {
            addCriterion("v_hw_code >", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_hw_code >=", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeLessThan(String value) {
            addCriterion("v_hw_code <", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeLessThanOrEqualTo(String value) {
            addCriterion("v_hw_code <=", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeLike(String value) {
            addCriterion("v_hw_code like", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeNotLike(String value) {
            addCriterion("v_hw_code not like", value, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeIn(List<String> values) {
            addCriterion("v_hw_code in", values, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeNotIn(List<String> values) {
            addCriterion("v_hw_code not in", values, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeBetween(String value1, String value2) {
            addCriterion("v_hw_code between", value1, value2, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andVHwCodeNotBetween(String value1, String value2) {
            addCriterion("v_hw_code not between", value1, value2, "vHwCode");
            return (Criteria) this;
        }

        public Criteria andStandOrIsNull() {
            addCriterion("stand_or is null");
            return (Criteria) this;
        }

        public Criteria andStandOrIsNotNull() {
            addCriterion("stand_or is not null");
            return (Criteria) this;
        }

        public Criteria andStandOrEqualTo(String value) {
            addCriterion("stand_or =", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrNotEqualTo(String value) {
            addCriterion("stand_or <>", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrGreaterThan(String value) {
            addCriterion("stand_or >", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrGreaterThanOrEqualTo(String value) {
            addCriterion("stand_or >=", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrLessThan(String value) {
            addCriterion("stand_or <", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrLessThanOrEqualTo(String value) {
            addCriterion("stand_or <=", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrLike(String value) {
            addCriterion("stand_or like", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrNotLike(String value) {
            addCriterion("stand_or not like", value, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrIn(List<String> values) {
            addCriterion("stand_or in", values, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrNotIn(List<String> values) {
            addCriterion("stand_or not in", values, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrBetween(String value1, String value2) {
            addCriterion("stand_or between", value1, value2, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandOrNotBetween(String value1, String value2) {
            addCriterion("stand_or not between", value1, value2, "standOr");
            return (Criteria) this;
        }

        public Criteria andStandTimeIsNull() {
            addCriterion("stand_time is null");
            return (Criteria) this;
        }

        public Criteria andStandTimeIsNotNull() {
            addCriterion("stand_time is not null");
            return (Criteria) this;
        }

        public Criteria andStandTimeEqualTo(Date value) {
            addCriterion("stand_time =", value, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeNotEqualTo(Date value) {
            addCriterion("stand_time <>", value, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeGreaterThan(Date value) {
            addCriterion("stand_time >", value, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("stand_time >=", value, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeLessThan(Date value) {
            addCriterion("stand_time <", value, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeLessThanOrEqualTo(Date value) {
            addCriterion("stand_time <=", value, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeIn(List<Date> values) {
            addCriterion("stand_time in", values, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeNotIn(List<Date> values) {
            addCriterion("stand_time not in", values, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeBetween(Date value1, Date value2) {
            addCriterion("stand_time between", value1, value2, "standTime");
            return (Criteria) this;
        }

        public Criteria andStandTimeNotBetween(Date value1, Date value2) {
            addCriterion("stand_time not between", value1, value2, "standTime");
            return (Criteria) this;
        }

        public Criteria andITdhIsNull() {
            addCriterion("i_tdh is null");
            return (Criteria) this;
        }

        public Criteria andITdhIsNotNull() {
            addCriterion("i_tdh is not null");
            return (Criteria) this;
        }

        public Criteria andITdhEqualTo(Integer value) {
            addCriterion("i_tdh =", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhNotEqualTo(Integer value) {
            addCriterion("i_tdh <>", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhGreaterThan(Integer value) {
            addCriterion("i_tdh >", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("i_tdh >=", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhLessThan(Integer value) {
            addCriterion("i_tdh <", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhLessThanOrEqualTo(Integer value) {
            addCriterion("i_tdh <=", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhIn(List<Integer> values) {
            addCriterion("i_tdh in", values, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhNotIn(List<Integer> values) {
            addCriterion("i_tdh not in", values, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhBetween(Integer value1, Integer value2) {
            addCriterion("i_tdh between", value1, value2, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhNotBetween(Integer value1, Integer value2) {
            addCriterion("i_tdh not between", value1, value2, "iTdh");
            return (Criteria) this;
        }

        public Criteria andIValueIsNull() {
            addCriterion("i_value is null");
            return (Criteria) this;
        }

        public Criteria andIValueIsNotNull() {
            addCriterion("i_value is not null");
            return (Criteria) this;
        }

        public Criteria andIValueEqualTo(Integer value) {
            addCriterion("i_value =", value, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueNotEqualTo(Integer value) {
            addCriterion("i_value <>", value, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueGreaterThan(Integer value) {
            addCriterion("i_value >", value, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueGreaterThanOrEqualTo(Integer value) {
            addCriterion("i_value >=", value, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueLessThan(Integer value) {
            addCriterion("i_value <", value, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueLessThanOrEqualTo(Integer value) {
            addCriterion("i_value <=", value, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueIn(List<Integer> values) {
            addCriterion("i_value in", values, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueNotIn(List<Integer> values) {
            addCriterion("i_value not in", values, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueBetween(Integer value1, Integer value2) {
            addCriterion("i_value between", value1, value2, "iValue");
            return (Criteria) this;
        }

        public Criteria andIValueNotBetween(Integer value1, Integer value2) {
            addCriterion("i_value not between", value1, value2, "iValue");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNull() {
            addCriterion("v_update_time is null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNotNull() {
            addCriterion("v_update_time is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeEqualTo(Date value) {
            addCriterion("v_update_time =", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotEqualTo(Date value) {
            addCriterion("v_update_time <>", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThan(Date value) {
            addCriterion("v_update_time >", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("v_update_time >=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThan(Date value) {
            addCriterion("v_update_time <", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("v_update_time <=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIn(List<Date> values) {
            addCriterion("v_update_time in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotIn(List<Date> values) {
            addCriterion("v_update_time not in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("v_update_time between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("v_update_time not between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleIsNull() {
            addCriterion("v_update_people is null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleIsNotNull() {
            addCriterion("v_update_people is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleEqualTo(String value) {
            addCriterion("v_update_people =", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleNotEqualTo(String value) {
            addCriterion("v_update_people <>", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleGreaterThan(String value) {
            addCriterion("v_update_people >", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleGreaterThanOrEqualTo(String value) {
            addCriterion("v_update_people >=", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleLessThan(String value) {
            addCriterion("v_update_people <", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleLessThanOrEqualTo(String value) {
            addCriterion("v_update_people <=", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleLike(String value) {
            addCriterion("v_update_people like", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleNotLike(String value) {
            addCriterion("v_update_people not like", value, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleIn(List<String> values) {
            addCriterion("v_update_people in", values, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleNotIn(List<String> values) {
            addCriterion("v_update_people not in", values, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleBetween(String value1, String value2) {
            addCriterion("v_update_people between", value1, value2, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andVUpdatePeopleNotBetween(String value1, String value2) {
            addCriterion("v_update_people not between", value1, value2, "vUpdatePeople");
            return (Criteria) this;
        }

        public Criteria andDataSourceIsNull() {
            addCriterion("data_source is null");
            return (Criteria) this;
        }

        public Criteria andDataSourceIsNotNull() {
            addCriterion("data_source is not null");
            return (Criteria) this;
        }

        public Criteria andDataSourceEqualTo(String value) {
            addCriterion("data_source =", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotEqualTo(String value) {
            addCriterion("data_source <>", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceGreaterThan(String value) {
            addCriterion("data_source >", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceGreaterThanOrEqualTo(String value) {
            addCriterion("data_source >=", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLessThan(String value) {
            addCriterion("data_source <", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLessThanOrEqualTo(String value) {
            addCriterion("data_source <=", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLike(String value) {
            addCriterion("data_source like", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotLike(String value) {
            addCriterion("data_source not like", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceIn(List<String> values) {
            addCriterion("data_source in", values, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotIn(List<String> values) {
            addCriterion("data_source not in", values, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceBetween(String value1, String value2) {
            addCriterion("data_source between", value1, value2, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotBetween(String value1, String value2) {
            addCriterion("data_source not between", value1, value2, "dataSource");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNull() {
            addCriterion("v_remark is null");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNotNull() {
            addCriterion("v_remark is not null");
            return (Criteria) this;
        }

        public Criteria andVRemarkEqualTo(String value) {
            addCriterion("v_remark =", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotEqualTo(String value) {
            addCriterion("v_remark <>", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThan(String value) {
            addCriterion("v_remark >", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("v_remark >=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThan(String value) {
            addCriterion("v_remark <", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThanOrEqualTo(String value) {
            addCriterion("v_remark <=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLike(String value) {
            addCriterion("v_remark like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotLike(String value) {
            addCriterion("v_remark not like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkIn(List<String> values) {
            addCriterion("v_remark in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotIn(List<String> values) {
            addCriterion("v_remark not in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkBetween(String value1, String value2) {
            addCriterion("v_remark between", value1, value2, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotBetween(String value1, String value2) {
            addCriterion("v_remark not between", value1, value2, "vRemark");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andJchcffIsNull() {
            addCriterion("jchcff is null");
            return (Criteria) this;
        }

        public Criteria andJchcffIsNotNull() {
            addCriterion("jchcff is not null");
            return (Criteria) this;
        }

        public Criteria andJchcffEqualTo(String value) {
            addCriterion("jchcff =", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffNotEqualTo(String value) {
            addCriterion("jchcff <>", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffGreaterThan(String value) {
            addCriterion("jchcff >", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffGreaterThanOrEqualTo(String value) {
            addCriterion("jchcff >=", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffLessThan(String value) {
            addCriterion("jchcff <", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffLessThanOrEqualTo(String value) {
            addCriterion("jchcff <=", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffLike(String value) {
            addCriterion("jchcff like", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffNotLike(String value) {
            addCriterion("jchcff not like", value, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffIn(List<String> values) {
            addCriterion("jchcff in", values, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffNotIn(List<String> values) {
            addCriterion("jchcff not in", values, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffBetween(String value1, String value2) {
            addCriterion("jchcff between", value1, value2, "jchcff");
            return (Criteria) this;
        }

        public Criteria andJchcffNotBetween(String value1, String value2) {
            addCriterion("jchcff not between", value1, value2, "jchcff");
            return (Criteria) this;
        }

        public Criteria andHczlIsNull() {
            addCriterion("hczl is null");
            return (Criteria) this;
        }

        public Criteria andHczlIsNotNull() {
            addCriterion("hczl is not null");
            return (Criteria) this;
        }

        public Criteria andHczlEqualTo(String value) {
            addCriterion("hczl =", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlNotEqualTo(String value) {
            addCriterion("hczl <>", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlGreaterThan(String value) {
            addCriterion("hczl >", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlGreaterThanOrEqualTo(String value) {
            addCriterion("hczl >=", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlLessThan(String value) {
            addCriterion("hczl <", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlLessThanOrEqualTo(String value) {
            addCriterion("hczl <=", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlLike(String value) {
            addCriterion("hczl like", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlNotLike(String value) {
            addCriterion("hczl not like", value, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlIn(List<String> values) {
            addCriterion("hczl in", values, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlNotIn(List<String> values) {
            addCriterion("hczl not in", values, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlBetween(String value1, String value2) {
            addCriterion("hczl between", value1, value2, "hczl");
            return (Criteria) this;
        }

        public Criteria andHczlNotBetween(String value1, String value2) {
            addCriterion("hczl not between", value1, value2, "hczl");
            return (Criteria) this;
        }

        public Criteria andCldjpdIsNull() {
            addCriterion("cldjpd is null");
            return (Criteria) this;
        }

        public Criteria andCldjpdIsNotNull() {
            addCriterion("cldjpd is not null");
            return (Criteria) this;
        }

        public Criteria andCldjpdEqualTo(String value) {
            addCriterion("cldjpd =", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdNotEqualTo(String value) {
            addCriterion("cldjpd <>", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdGreaterThan(String value) {
            addCriterion("cldjpd >", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdGreaterThanOrEqualTo(String value) {
            addCriterion("cldjpd >=", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdLessThan(String value) {
            addCriterion("cldjpd <", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdLessThanOrEqualTo(String value) {
            addCriterion("cldjpd <=", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdLike(String value) {
            addCriterion("cldjpd like", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdNotLike(String value) {
            addCriterion("cldjpd not like", value, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdIn(List<String> values) {
            addCriterion("cldjpd in", values, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdNotIn(List<String> values) {
            addCriterion("cldjpd not in", values, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdBetween(String value1, String value2) {
            addCriterion("cldjpd between", value1, value2, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andCldjpdNotBetween(String value1, String value2) {
            addCriterion("cldjpd not between", value1, value2, "cldjpd");
            return (Criteria) this;
        }

        public Criteria andHckyxfxIsNull() {
            addCriterion("hckyxfx is null");
            return (Criteria) this;
        }

        public Criteria andHckyxfxIsNotNull() {
            addCriterion("hckyxfx is not null");
            return (Criteria) this;
        }

        public Criteria andHckyxfxEqualTo(String value) {
            addCriterion("hckyxfx =", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxNotEqualTo(String value) {
            addCriterion("hckyxfx <>", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxGreaterThan(String value) {
            addCriterion("hckyxfx >", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxGreaterThanOrEqualTo(String value) {
            addCriterion("hckyxfx >=", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxLessThan(String value) {
            addCriterion("hckyxfx <", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxLessThanOrEqualTo(String value) {
            addCriterion("hckyxfx <=", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxLike(String value) {
            addCriterion("hckyxfx like", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxNotLike(String value) {
            addCriterion("hckyxfx not like", value, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxIn(List<String> values) {
            addCriterion("hckyxfx in", values, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxNotIn(List<String> values) {
            addCriterion("hckyxfx not in", values, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxBetween(String value1, String value2) {
            addCriterion("hckyxfx between", value1, value2, "hckyxfx");
            return (Criteria) this;
        }

        public Criteria andHckyxfxNotBetween(String value1, String value2) {
            addCriterion("hckyxfx not between", value1, value2, "hckyxfx");
            return (Criteria) this;
        }
    }

    /**
     * t_ccdata
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_ccdata 2020-08-20
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}